Name:           perl-Pod-Stripper
Version:        0.22
Release:        6%{?dist}
Summary:        Strip all pod, and output what's left
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Pod-Stripper/
Source0:        http://www.cpan.org/authors/id/P/PO/PODMASTER/Pod-Stripper-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  sed
# Run-time
BuildRequires:  perl(Pod::Parser) >= 1.13
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Tests
BuildRequires:  perl(Test) >= 1.15
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Pod::Parser) >= 1.13

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Pod::Parser\\)\s*$

%description
This be Pod::Stripper, a subclass of Pod::Parser. It parses perl files,
stripping out the pod, and dumping the rest (presumably code) to wherever
you point it to (like you do with Pod::Parser).

%prep
%setup -q -n Pod-Stripper-%{version}
sed -i 's/\r//' Changes README podstrip

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.22-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.22-5
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.22-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 02 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.22-1
- Initial release
